Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHouseOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHouseOption

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class SmartHouseOption extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getNpayModuleId()`
  `int`
  `getNpayServiceId()`
  `int`
  `getSmarthouseServiceId()`
  `SmartHouseOption`
  `setComment(String comment)`
  `SmartHouseOption`
  `setId(int id)`
  Устанавливает id объекта
  `SmartHouseOption`
  `setNpayModuleId(int npayModuleId)`
  `SmartHouseOption`
  `setNpayServiceId(int npayServiceId)`
  `SmartHouseOption`
  `setSmarthouseServiceId(int smarthouseServiceId)`
  `SmartHouseOption`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SmartHouseOption

    public SmartHouseOption()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getNpayModuleId

    public int getNpayModuleId()

  - ### getNpayServiceId

    public int getNpayServiceId()

  - ### getSmarthouseServiceId

    public int getSmarthouseServiceId()

  - ### setComment

    public SmartHouseOption setComment(String comment)

  - ### setId

    public SmartHouseOption setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setNpayModuleId

    public SmartHouseOption setNpayModuleId(int npayModuleId)

  - ### setNpayServiceId

    public SmartHouseOption setNpayServiceId(int npayServiceId)

  - ### setSmarthouseServiceId

    public SmartHouseOption setSmarthouseServiceId(int smarthouseServiceId)

  - ### setTitle

    public SmartHouseOption setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`